package stratego;

public enum Rango
{
	WATER,
	ONE,
	TWO,
	THREE,
	FOUR,
	FIVE,
	SIX,
	SEVEN,
	EIGHT,
	NINE,
	SPY,
	BOMB,
	FLAG,
	UNKNOWN,
	NIL;

	public int toInt()
	{
		switch (this)
		{
		case ONE:
			return 1;
		case TWO:
			return 2;
		case THREE:
			return 3;
		case FOUR:
			return 4;
		case FIVE:
			return 5;
		case SIX:
			return 6;
		case SEVEN:
			return 7;
		case EIGHT:
			return 8;
		case NINE:
			return 9;
		default:
			return 0;
		}
	}
	
	public int aiValue()
	{
		switch (this)
		{
		case FLAG:
			return 6000;
		case BOMB:
			return 100;//6
		case SPY:
			return 360;
		case ONE:
			return 420;
		case TWO:
			return 360;
		case THREE:
			return 150;//2
		case FOUR:
			return 80;//3
		case FIVE:
			return 45;//4
		case SIX:
			return 30;//4
		case SEVEN:
			return 15;//4
		case EIGHT:
			return 60;//5
		case NINE:
			return 7;//8
		default:
			return 0;
		}
	}
	
	public static int aiTotalValue()
	{
		return 9000-4;
	}
}